## org.apache.ivy.core.cache
Class CacheResourceOptions

    java.lang.Object
      org.apache.ivy.core.cache.CacheDownloadOptions
          org.apache.ivy.core.cache.CacheResourceOptions

    public class CacheResourceOptions

extends CacheDownloadOptions

Constructor Summary
`CacheResourceOptions()`

Method Summary
`long` `getTtl()`
`void` `setTtl(long ttl)`

Methods inherited from class org.apache.ivy.core.cache.CacheDownloadOptions
`getListener, isForce, setForce, setListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheResourceOptions

    public CacheResourceOptions()

Method Detail

### setTtl

    public void setTtl(long ttl)

### getTtl

    public long getTtl()